interface ConfigState {
    apiOrigin?: string;
    iframeOrigin?: string;
    accountId?: string;
}
declare const configState: ConfigState, onConfigChange: import("@stencil/store/dist/types").OnHandler<ConfigState>;
declare const setConfigState: (vals: Partial<ConfigState>) => void;
/**
 * Wait for configProvider to run, but safe guard against never mounting.
 * @param timeoutMs max time to wait before resolving with default values
 */
declare const waitForConfig: (timeoutMs?: number) => Promise<void>;
export { configState, onConfigChange, setConfigState, waitForConfig };
